import { MedalDisplay } from '@/lib/display-objects/MedalDisplay';
import { RankMedal as UiRankMedal, RankMedalProps } from '@/ui/RankMedal';
import React from 'react';

export function RankMedal(props: RankMedalProps) {
  const variant = MedalDisplay.getVariant(props.rank);
  const bg = MedalDisplay.getBg(props.rank);
  const color = MedalDisplay.getColor(props.rank);

  return (
    <UiRankMedal 
      {...props} 
      variant={variant as any} 
      bg={bg} 
      color={color} 
    />
  );
}
